GRID Enums(3)

NAME
GRID Enums -

  Enumerations

enum nvmlGpuVirtualizationMode_t { NVML_GPU_VIRTUALIZATION_MODE_NONE = 0, NVML_GPU_VIRTUALIZATION_MODE_PASSTHROUGH = 1, NVML_GPU_VIRTUALIZATION_MODE_VGPU = 2, NVML_GPU_VIRTUALIZATION_MODE_HOST_VGPU = 3, NVML_GPU_VIRTUALIZATION_MODE_HOST_VSGA = 4 }

Enumeration Type Documentation

  enum nvmlGpuVirtualizationMode_t

GPU virtualization mode types.

Enumerator:

NVML_GPU_VIRTUALIZATION_MODE_NONE
    Represents Bare Metal GPU.

NVML_GPU_VIRTUALIZATION_MODE_PASSTHROUGH
    Device is associated with GPU-Passthorugh.

NVML_GPU_VIRTUALIZATION_MODE_VGPU
    Device is associated with vGPU inside virtual machine.

NVML_GPU_VIRTUALIZATION_MODE_HOST_VGPU
    Device is associated with VGX hypervisor in vGPU mode.

NVML_GPU_VIRTUALIZATION_MODE_HOST_VSGA
    Device is associated with VGX hypervisor in vSGA mode.

Author

Generated automatically by Doxygen for NVML from the source code.